package com.dsk.cscec.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

/**
 * 咨询机构(SysAdvisoryBody)表实体类
 *
 * @author sxk
 * @since 2023-12-12 10:12:06
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class SysAdvisoryBody implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 咨询机构ID
     */
    @TableId(value = "advisory_body_id")
    private Long advisoryBodyId;
    /**
     * 咨询机构cid(用于查询建设库数据)
     */
    private Integer advisoryBodyCid;
    /**
     * 项目主键(用作关联d_project)
     */
    private Long projectKey;
    /**
     * 咨询机构名称
     */
    private String advisoryBodyName;
    /**
     * 法人代表
     */
    private String legalPerson;
    /**
     * 法人联系电话
     */
    private String legalPersonPhone;
    /**
     * 注册地址
     */
    private String regAddress;
    /**
     * 项目负责人
     */
    private String projectLeader;
    /**
     * 项目负责人专业
     */
    private String projectLeaderMajor;
    /**
     * 项目负责人联系电话
     */
    private String projectLeaderPhone;
    /**
     * 结算开始时间
     */
    private Date settleStarTime;
    /**
     * 结算完成时间
     */
    private Date settleFinishTime;
    /**
     * 是否为终审单位（0代表是 1代表否）
     */
    private String isFinalJudgeUnit;
    /**
     * 创建者
     */
    private String createBy;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新者
     */
    private String updateBy;

    /**
     * 更新时间
     */
    private Date updateTime;
}

