package com.dsk.cscec.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dsk.cscec.domain.SysAdvisoryBody;
import com.dsk.cscec.domain.vo.AdvisoryBodySearchVo;
import org.apache.ibatis.annotations.Param;

import java.util.Date;

/**
 * 咨询机构(SysAdvisoryBody)表数据库访问层
 *
 * @author sxk
 * @since 2023-12-12 10:12:04
 */
public interface SysAdvisoryBodyMapper extends BaseMapper<SysAdvisoryBody> {
    /**
     * 查询最近一次合作时间
     */
    Date selectLastCooperateTime(@Param("advisoryBodyId") Long advisoryBodyId);

    /**
     * 获取所有企业列表(咨询机构)数据
     */
    Page<AdvisoryBodySearchVo> selectPageAdvisoryBodyList(@Param("page") Page<AdvisoryBodySearchVo> page, @Param(Constants.WRAPPER) Wrapper<SysAdvisoryBody> queryWrapper);
}

