package com.dsk.monitor.domain.dto;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @ClassName PushMonitorInfoDto
 * @Description 推送监控信息
 * @Author Dgm
 * @Date 2023/12/9 9:43
 * @Version
 */
@Data
public class PushMonitorInfo implements Serializable {


    private static final long serialVersionUID = 6732846953537725830L;

    /**
     * 对外开放的id
     */
    private String id;
    /**
     * 源表id
     */
    private String sourceId;
    /**
     * 源表名
     */
    private String sourceTable;
    /**
     * 公司Id
     */
    private Integer companyId;
    /**
     * 企业名称
     */
    private String companyName;
    /**
     * 风险等级：正向，负向，中立，警示
     */
    private String riskLevel;
    /**
     * 监控维度父级
     */
    private String parentDimension;
    /**
     * 监控维度
     */
    private String dimension;
    /**
     * 动态内容
     */
    private String details;
    /**
     * 发布时间
     */
    private Date publishTime;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 更新时间
     */
    private Date updateTime;
    /**
     * 变更时间-暂时用于法人变更
     */
    private Date changeDate;
    /**
     * 更新次数
     */
    private Integer versionNum;
    /**
     * 是否发送 0否 1是
     */
    private Integer isSend;
    /**
     * 数据来源(jsk,fy)
     */
    private String source;

    /**
     * 系统类型 JSK/BRIS
     */
    private String sysType;


}
