package com.dsk.monitor.domain.dto;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @ClassName PushMonitorRulesDto
 * @Description 推送监控规则信息
 * @Author Dgm
 * @Date 2023/12/9 9:43
 * @Version
 */
@Data
public class PushMonitorRules implements Serializable {

    private static final long serialVersionUID = -2226356282137776096L;

    /**
     * id
     */
    private Integer id;

    /**
     * 创建人Id
     */
    private Long userId = 98L;

    /**
     * 风险类型,多个逗号隔开
     */
    private String riskType;
    /**
     * 监控维度,多个逗号隔开
     */
    private String dimension;
    /**
     * 推送频率 每小时：0 每天：1 工作日：2
     */
    private Integer pushFrequency;
    /**
     * 推送时段-起
     */
    private Integer timePeriodStart;

    /**
     * 推送时段-止
     */
    private Integer timePeriodEnd;

    /**
     * 接收方式 手机：0 PC:1
     */
    private String receiveMode;
    /**
     * 手机号码，多个逗号隔开
     */
    private String phones;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 更新时间
     */
    private Date updateTime;
    /**
     * 更新次数
     */
    private Integer versionNum;

}
